Need help? Chat now!

Hostwinds Tutorial

Cerca risultati per:


Sommario


Joomla! Requisiti di sistema di base
Joomla! Requisiti di sistema raccomandati

Joomla! Requisiti di sistema

Tag: Joomla 

Joomla! Requisiti di sistema di base
Joomla! Requisiti di sistema raccomandati

Quando si installa Joomla, ci sono alcuni requisiti che Joomla deve incontrarsi per essere eseguiti in quanto ci sono diverse versioni di Joomla.Questo articolo è scritto per essere utile per la versione più recente al momento della scrittura.Questo è Joomla 3.x, dove 'x è un numero che aiuta a descrivere la versione corrente.I requisiti base e consigliati per la funzione Joomla a funzione sono elencati di seguito.

Joomla! Requisiti di sistema di base

  • Versione PHP: Deve essere superiore alla versione PHP 5.3.10. Questo non dovrebbe essere un problema, poiché questa versione è deprecata da tempo. Tutti i nostri nuovi piani di hosting non hanno questa versione installata.
  • Banca dati: Joomla ha il supporto per diversi tipi di database. I database supportati sono MySQL / Mariadb, MS SQL Server e PostgreSQL
    • MySQL / MariaDB: Deve essere superiore alla versione 5.1. Un'altra versione che non esisterebbe nei nostri nuovi piani di hosting.
    • MS SQL Server: Deve essere successiva alla versione 10.50.1600.1
    • PostgreSQL: Deve essere superiore alla versione 8.3.18
  • Server web: Insieme ai diversi tipi di database che supporta Joomla, ci sono anche diversi server Web. Questi includono Apache, Nginx e Microsoft IIS (per Windows VPS)
    • Apache: Deve essere superiore alla versione 2.0. I nostri piani di hosting condivisi / aziendali avranno sempre una versione relativamente aggiornata di Apache, quindi questo non è un problema.
    • Nginx: Deve essere superiore alla versione 1.0. Al momento non usiamo nginx. Tuttavia, questa è ancora un'opzione per VPS e server dedicati.
    • Microsoft IIS: Deve essere la versione 7. Tuttavia, questo sarebbe il sistema operativo Windows equivalente attualmente disponibile solo su Windows VPS o server dedicati.

Joomla non specifica requisiti specifici per il server, come la RAM o anche la CPU. Tuttavia, se si tende a imbattersi in problemi di prestazioni con il tuo sito Joomla, potrebbe essere dovuto a una mancanza di risorse.

A parte i requisiti del sistema di base che ha anche Joomla, ci possono essere opzioni raccomandate. I requisiti di base sono minimi per vedere se Joomla eseguirà sul sistema. Tuttavia, questo non significa che Joomla funzioni ottimamente o bene. È possibile trovare una lista di seguito dei requisiti raccomandati per Joomla.

Joomla! Requisiti di sistema raccomandati

  • Versione PHP: Joomla consiglia di utilizzare una versione PHP che è o 5,6 e su o 7.0 e successivi.
  • Banca dati:
    • MySQL / MariaDB: Consigliato per essere superiore a MySQL 5.5.3
    • MS SQL Server: Si consiglia inoltre di essere maggiore di 10.50.1600.1
    • PostgreSQL: Consigliato per essere superiore alla versione 9.1
  • Server web:
    • Apache: Consigliato per essere superiore ad Apache 2.4. I nostri nuovi piani di hosting vedranno soddisfatta questa raccomandazione
    • Nginx: Consigliato per essere superiore alla versione 1.8
    • Microsoft IIS: Per Joomla, raccomanderebbero di utilizzare solo la versione 7

Qualsiasi pacchetto di web hosting Linux offerto da Hostwinds può soddisfare questi requisiti.

Se dovresti avere ulteriori domande, non esitate a contattarci attraverso la nostra chat dal vivo o inviare un biglietto.

Scritto da Hostwinds Team  /  marzo 31, 2018